package com.axis.innovators.box.events;

import javax.swing.*;
import java.awt.*;

/**
 * 选项卡Ui事件，当设置选项卡Ui属性时被调用
 * @author tzdwindows 7
 */
public class TABUIEvents {
    private final JComponent javax;
    private final JPanel card;

    public TABUIEvents(JPanel card, JComponent c){
        this.javax = c;
        this.card = card;
    }

    public JComponent getJavax() {
        return javax;
    }

    public JPanel getCard() {
        return card;
    }

    /**
     * 选项卡更新事件
     */
    public static class update {
        private final JComponent javax;
        private final Graphics graphics;

        public update(Graphics g, JComponent c){
            this.javax = c;
            this.graphics = g;
        }

        public JComponent getJavax() {
            return javax;
        }

        public Graphics getGraphics() {
            return graphics;
        }
    }
}
